PDA

View Full Version : Version mismatch!?!


Archived Post
02-23-2010, 06:40 PM
I just tried to connect into the game and after the laucher checked for a patch. The game loads and just before chracter selection screen it says Version Mismatch.

I tried forcing the laucher to check the local content and it still lauches correctly but still version mismatch.

Another thing is that i already played today after i downloaded today's patch(23feb).

I really don't want to re-download the whole thing because i have a download limit per month with my ISP. Should'nt have to either since i already played today and nothing changed since then.

Archived Post
02-23-2010, 06:45 PM
I tried re-doing the force verify in safe mode and it worked but at least I mentioned it.